/*
	File: 07-nav.css
	Autor: José Luis Rodriguez
	Mail: jrodriguez@bincodex.com
	Web: https://bincodex.com
	Fecha: 2023-10-17 08:51:48
*/


.image-perfil {
	border: 5px solid var(--pr1);
	width: 200px;
	height: 200px;
	background-size: cover;
	background-repeat: no-repeat;
	border-radius: 50%;
	border: 3px solid #ffffff;
	margin-left: 60px;
	margin-top: 20px;
	margin-bottom: 30px;
}


.info-user {
	border: 0px solid #ffffff;
	padding: 10px;
	width: 250px;
	border-radius: 10px;
	background: rgba(255,255,255,0.4);
	margin: 0 auto;
}

.info-user_item {
	text-align: center;
}

.info-user_config {
	padding: 10px;
	display: flex;
	gap: 50px;
	justify-content: center;
	align-items: center;
}

.info-user_config span {
	display: flex;
	justify-content: center;
	align-items: center;
	user-select: none;
	cursor: pointer;
	color: #5500ff;
}



.zm:hover {
	transform:scale(1.2);
}

.nav-principal {
	border: 0px solid red;
	overflow-y: scroll;
	font-size: 1em;
	user-select: none;
	overflow-y: scroll;
	height: calc(100vh - 480px);
	scrollbar-width: thin;
	width: 220px;
	margin-top: 40px;
	margin-left: 40px;
	scrollbar-width: none;
    -ms-overflow-style: none;
}

.item-nav-modulo {
	list-style: none;
	display: block;
	user-select: none;
	padding: 0px;
	display: flex;
	flex-direction: column;
	color: #fff;
	border-radius: 10px;
}

.circle {
	display: inline-block;
	margin-left: 0px;
	margin-right: 3px;
	border: solid white;
	border-width: 2px 2px 2px 2px;
	padding: 3px;
	border-radius: 50%;
}

.arrow {
	display: inline-block;
	margin-left: 0px;
	margin-right: 3px;
	border: solid white;
	border-width: 0 2px 2px 0;
	padding: 3px;
	transform: rotate(-45deg);
	transition: transform 0.7s cubic-bezier(.28,.53,.55,.95);
}

.item-nav-name {
	cursor: pointer;
	user-select: none;
	padding: 10px 7px;
	color: #fff;
	border-radius: 10px;
}

.item-nav-name.open .arrow {
	transform: rotate(45deg);
}


.nav-list-content {
	padding-inline-start: inherit;
	padding: 0px 20px;
}

.item-nav-submenu {
	list-style: none;
	padding: 0px;
	user-select: none;
	cursor: pointer;
	border-top: 0px solid #b94747;
	border-bottom: 0px solid aqua;
	display: flex;
	flex-direction: column;
	color: #fff;
	border-radius: 10px;
}

.nav-submenu-content {
	padding-inline-start: 10px;
	margin-left: 10px;
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.7s cubic-bezier(.28,.53,.55,.95);
	background: #dfdddd1c;
	color: #fff;
	border-radius: 10px;
}

.nav-submenu-content.visible {
	max-height: 1000px; /* Ajusta esto según la altura del contenido */
}


.item-submenu-name {
	padding: 10px 7px;
	border-radius: 10px;
}


.moduleLink {
	border-bottom: 0px solid white;
}

.hoverMenu:hover {
	background: rgba(0,0,0,0.3);
}

.hoverSbMenu:hover {
	background: rgba(0,0,0,0.4);
}










